Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.format
Interface DateTimeParser

    public interface DateTimeParser

Internal interface for parsing textual representations of datetimes.

Application users will rarely use this class directly. Instead, you will use one of the factory classes to create a `DateTimeFormatter`.

The factory classes are:
- `DateTimeFormatterBuilder`
- `DateTimeFormat`
- `ISODateTimeFormat`

Since:
  1.0
Author:
  Brian S O'Neill
See Also:
  `DateTimeFormatter`, `DateTimeFormatterBuilder`, `DateTimeFormat`

Method Summary
`int` | `estimateParsedLength()` Returns the expected maximum number of characters consumed.
`int` | `parseInto(DateTimeParserBucket bucket, java.lang.String text, int position)` Parse an element from the given text, saving any fields into the given DateTimeParserBucket.

Method Detail

### estimateParsedLength

    int estimateParsedLength()

  Returns the expected maximum number of characters consumed. The actual amount should rarely exceed this estimate.

  Returns:
    the estimated length

### parseInto

    int parseInto(DateTimeParserBucket bucket,
                  java.lang.String text,
                  int position)

  Parse an element from the given text, saving any fields into the given DateTimeParserBucket. If the parse succeeds, the return value is the new text position. Note that the parse may succeed without fully reading the text.

  If it fails, the return value is negative. To determine the position where the parse failed, apply the one's complement operator (~) on the return value.

  Parameters:
    `bucket` - field are saved into this, not null
    `text` - the text to parse, not null
    `position` - position to start parsing from
  Returns:
    new position, negative value means parse failed - apply complement operator (~) to get position of failure
  Throws:
    `java.lang.IllegalArgumentException` - if any field is out of range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD